jif.visit

## Class IntegerBoundsChecker.LocalBound

- java.lang.Object
- - jif.visit.IntegerBoundsChecker.Bound
  - - jif.visit.IntegerBoundsChecker.LocalBound

- Enclosing class:
    IntegerBoundsChecker

      protected static class IntegerBoundsChecker.LocalBound
      extends IntegerBoundsChecker.Bound

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class jif.visit.IntegerBoundsChecker.Bound

      `IntegerBoundsChecker.Bound.Type`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected polyglot.types.LocalInstance` | `li`

    - ### Fields inherited from class jif.visit.IntegerBoundsChecker.Bound

      `GE, GT, LE, LT, type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalBound(IntegerBoundsChecker.Bound.Type type, polyglot.types.LocalInstance bound)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `int` | `hashCode()`
    `IntegerBoundsChecker.Bound` | `strict(boolean strict)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class jif.visit.IntegerBoundsChecker.Bound

      `isLower, isStrict, isUpper, lower, upper`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### li

          protected final polyglot.types.LocalInstance li

  - ### Constructor Detail

    - #### LocalBound

          public LocalBound(IntegerBoundsChecker.Bound.Type type,
                            polyglot.types.LocalInstance bound)

  - ### Method Detail

    - #### strict

          public IntegerBoundsChecker.Bound strict(boolean strict)

      Specified by:
        `strict` in class `IntegerBoundsChecker.Bound`

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `IntegerBoundsChecker.Bound`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `IntegerBoundsChecker.Bound`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `IntegerBoundsChecker.Bound`